\documentclass[10pt,a4paper]{report}
\usepackage[top=3cm, bottom=2.5cm, left=3cm, right=2.5cm] {geometry}
\usepackage {bsymb,b2latex}
\usepackage[utf8]{inputenc}
\usepackage{fancyhdr,lastpage,color}
\lhead{\rm An Event-B Specification of c0}
\rhead {\rm Page \thepage~of \pageref{LastPage}}
\lfoot{}\cfoot{}\rfoot{}
\pagestyle{fancy}
%---------------------------------------------------------
\begin{document}
\thispagestyle{empty}
\begin{description}
\BTitle{c0}{11Dec2016}{09:45:08 PM}
\CONTEXT{c0}
\SETS
	\begin{description}
		\Item{ L }
	\end{description}
\CONSTANTS
	\begin{description}
		\Item{ x1 }
		\Item{ x2 }
		\Item{ l0 }
		\Item{ l1 }
		\Item{ l2 }
		\Item{ l3 }
		\Item{ l4 }
		\Item{ l5 }
		\Item{ l6 }
		\Item{ l7 }
		\Item{ l8 }
		\Item{ l9 }
		\Item{ l10 }
	\end{description}
\AXIOMS
	\begin{description}
		\nItem{ axm1 }{ x1 \in  \nat }		\nItem{ axm2 }{ x2 \in  \nat }		\nItem{ axm3 }{ x1 \neq  0 }		\nItem{ axm4 }{ partition(L, \{ l0\} , \{ l1\} , \{ l2\} , \{ l3\} , \{ l4\} , \{ l5\} , \{ l6\} , \{ l7\} , \{ l8\} , \{ l9\} , \{ l10\} ) }	\end{description}
\END
\end{description}
\end{document}
